Package org.apache.sling.resourceresolver.impl.mapping

# Class MapConfigurationProvider.VanityPathConfig

java.lang.Object
org.apache.sling.resourceresolver.impl.mapping.MapConfigurationProvider.VanityPathConfig

All Implemented Interfaces:
  `Comparable<MapConfigurationProvider.VanityPathConfig>`

Enclosing interface:
  MapConfigurationProvider

public static class MapConfigurationProvider.VanityPathConfig extends Object implements Comparable<MapConfigurationProvider.VanityPathConfig>

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isExclude`
`final String`
`prefix`

## Constructor Summary

Constructors
Constructor
Description
`VanityPathConfig(String prefix, boolean isExclude)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(MapConfigurationProvider.VanityPathConfig o2)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### isExclude

public final boolean isExclude

### prefix

public final String prefix

## Constructor Details

### VanityPathConfig

public VanityPathConfig(String prefix, boolean isExclude)

## Method Details

### compareTo

public int compareTo(MapConfigurationProvider.VanityPathConfig o2)

Specified by:
  `compareTo` in interface `Comparable<MapConfigurationProvider.VanityPathConfig>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`